------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Abstract_Spin_Box_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Abstract_Spin_Box_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Abstract_Spin_Boxes is

   function hasAcceptableInput_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, hasAcceptableInput_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_hasAcceptableInput_0_wrapper");

   function hasFrame_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, hasFrame_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_hasFrame_0_wrapper");

   procedure interpretText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, interpretText_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_interpretText_0_wrapper");

   function isAccelerated_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isAccelerated_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_isAccelerated_0_wrapper");

   function isReadOnly_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isReadOnly_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_isReadOnly_0_wrapper");

   procedure setAccelerated_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     On : Qt4.bool);
   pragma Import (C, setAccelerated_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_setAccelerated_0_wrapper");

   procedure setFrame_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enabled : Qt4.bool);
   pragma Import (C, setFrame_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_setFrame_0_wrapper");

   procedure setReadOnly_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enabled : Qt4.bool);
   pragma Import (C, setReadOnly_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_setReadOnly_0_wrapper");

   procedure setSpecialValueText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Text : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setSpecialValueText_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_setSpecialValueText_0_wrapper");

   procedure setWrapping_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enabled : Qt4.bool);
   pragma Import (C, setWrapping_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_setWrapping_0_wrapper");

   procedure specialValueText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, specialValueText_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_specialValueText_0_wrapper");

   procedure text_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, text_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_text_0_wrapper");

   function wrapping_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, wrapping_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_wrapping_0_wrapper");

   procedure selectAll_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, selectAll_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_selectAll_0_wrapper");

   procedure stepDown_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, stepDown_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_stepDown_0_wrapper");

   procedure stepUp_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, stepUp_0_wrapper,
                     "__Qt4Ada_QAbstractSpinBox_stepUp_0_wrapper");

   pragma Style_Checks ("N");

   --------------------------
   -- Has_Acceptable_Input --
   --------------------------

   function Has_Acceptable_Input
    (Self : not null access constant Q_Abstract_Spin_Box'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (hasAcceptableInput_0_wrapper
           (Self.QObject_View));
   end Has_Acceptable_Input;

   ---------------
   -- Has_Frame --
   ---------------

   function Has_Frame
    (Self : not null access constant Q_Abstract_Spin_Box'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (hasFrame_0_wrapper
           (Self.QObject_View));
   end Has_Frame;

   --------------------
   -- Interpret_Text --
   --------------------

   procedure Interpret_Text
    (Self : not null access Q_Abstract_Spin_Box'Class)
   is
   begin
      interpretText_0_wrapper
       (Self.QObject_View);
   end Interpret_Text;

   --------------------
   -- Is_Accelerated --
   --------------------

   function Is_Accelerated
    (Self : not null access constant Q_Abstract_Spin_Box'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isAccelerated_0_wrapper
           (Self.QObject_View));
   end Is_Accelerated;

   ------------------
   -- Is_Read_Only --
   ------------------

   function Is_Read_Only
    (Self : not null access constant Q_Abstract_Spin_Box'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isReadOnly_0_wrapper
           (Self.QObject_View));
   end Is_Read_Only;

   ---------------------
   -- Set_Accelerated --
   ---------------------

   procedure Set_Accelerated
    (Self : not null access Q_Abstract_Spin_Box'Class;
     On : Standard.Boolean)
   is
   begin
      setAccelerated_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (On));
   end Set_Accelerated;

   ---------------
   -- Set_Frame --
   ---------------

   procedure Set_Frame
    (Self : not null access Q_Abstract_Spin_Box'Class;
     Enabled : Standard.Boolean)
   is
   begin
      setFrame_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enabled));
   end Set_Frame;

   -------------------
   -- Set_Read_Only --
   -------------------

   procedure Set_Read_Only
    (Self : not null access Q_Abstract_Spin_Box'Class;
     Enabled : Standard.Boolean)
   is
   begin
      setReadOnly_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enabled));
   end Set_Read_Only;

   ----------------------------
   -- Set_Special_Value_Text --
   ----------------------------

   procedure Set_Special_Value_Text
    (Self : not null access Q_Abstract_Spin_Box'Class;
     Text : Qt4.Strings.Q_String)
   is
   begin
      setSpecialValueText_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Text));
   end Set_Special_Value_Text;

   ------------------
   -- Set_Wrapping --
   ------------------

   procedure Set_Wrapping
    (Self : not null access Q_Abstract_Spin_Box'Class;
     Enabled : Standard.Boolean)
   is
   begin
      setWrapping_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enabled));
   end Set_Wrapping;

   ------------------------
   -- Special_Value_Text --
   ------------------------

   function Special_Value_Text
    (Self : not null access constant Q_Abstract_Spin_Box'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      specialValueText_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Special_Value_Text;

   ----------
   -- Text --
   ----------

   function Text
    (Self : not null access constant Q_Abstract_Spin_Box'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      text_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Text;

   --------------
   -- Wrapping --
   --------------

   function Wrapping
    (Self : not null access constant Q_Abstract_Spin_Box'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (wrapping_0_wrapper
           (Self.QObject_View));
   end Wrapping;

   ----------------
   -- Select_All --
   ----------------

   procedure Select_All
    (Self : not null access Q_Abstract_Spin_Box'Class)
   is
   begin
      selectAll_0_wrapper
       (Self.QObject_View);
   end Select_All;

   ---------------
   -- Step_Down --
   ---------------

   procedure Step_Down
    (Self : not null access Q_Abstract_Spin_Box'Class)
   is
   begin
      stepDown_0_wrapper
       (Self.QObject_View);
   end Step_Down;

   -------------
   -- Step_Up --
   -------------

   procedure Step_Up
    (Self : not null access Q_Abstract_Spin_Box'Class)
   is
   begin
      stepUp_0_wrapper
       (Self.QObject_View);
   end Step_Up;

end Qt4.Abstract_Spin_Boxes;
